corda / net.corda.jackson / JacksonSupport / SecureHashDeserializer

# SecureHashDeserializer

`class SecureHashDeserializer<T : SecureHash> : JsonDeserializer<T>`

Implemented as a class so that we can instantiate for T.

### Constructors

<init> | `SecureHashDeserializer()` Implemented as a class so that we can instantiate for T.

### Functions

deserialize | `fun deserialize(parser: JsonParser, context: DeserializationContext): T`